/*package com.yeejoin.amos.safety.common.cache;

import java.util.HashMap;
import java.util.Map;

import com.yeejoin.amos.patrol.business.constants.XJConstant;
import com.yeejoin.amos.patrol.business.param.LoginUserParam;

*//**
 * 
 * <pre>
 * 当前登录用户单位信息缓存
 * </pre>
 *
 * @author amos
 * @version $Id: CurUserCompanyCache.java, v 0.1 2018年12月29日 下午3:37:55 amos Exp $
 *//*
public class CurUserCompanyCache
{
	
	private static CurUserCompanyCache instance;
	//当前登录用户选择的单位信息，第一个key为当前登录userId，第二个key为本次登录token及角色信息
	private Map<String, Map<String, LoginUserParam>> curCompanyMap = new HashMap<String, Map<String, LoginUserParam>>();
	
	
	public static CurUserCompanyCache getInstance()
	{
		if (instance ==null)
		{
			instance = new CurUserCompanyCache();
		}
		return instance;
	}
	
	*//**
	 * 
	 * <pre>
	 * 缓存当前登录单位信息
	 * </pre>
	 *
	 * @param userId
	 * @param token
	 * @param company
	 *//*
	public void putCurCompanyMap(Long userId, String token, LoginUserParam param)
	{
		String roleType = param.getRoleTypeName();
		String loginOrgCode = param.getLoginOrgCode();
		String userOrgCode = param.getUserOrgCode();
		param.setAdminFlag(XJConstant.ADMIN_FLAG_NO);//无关
		if(XJConstant.ROLE_NAME_ADMIN.equals(roleType) || XJConstant.ROLE_NAME_SUPERADMIN.equals(roleType)){
			if(!loginOrgCode.equals(userOrgCode)){
				param.setAdminFlag(XJConstant.ADMIN_FLAG_UP);//上级管理员
			}else{
				param.setAdminFlag(XJConstant.ADMIN_FLAG_THIS);//本级管理员
			}
		}
		Map<String, LoginUserParam> token_company = new HashMap<String, LoginUserParam>();
		token_company.put(token, param);
		//一个用户只保存多个渠道最新的登录信息，如APP_1 WEB_1,分别代表app端、web端的登录
		curCompanyMap.put(token.substring(0,token.lastIndexOf("_")), token_company);
	}

	*//**
	 * 
	 * <pre>
	 * 获取当前登录单位信息
	 * </pre>
	 *
	 * @param userId
	 * @param token
	 * @return
	 *//*
	public LoginUserParam getCurCompany(String userId, String token)
	{
		LoginUserParam param = null;
		String key = token.substring(0,token.indexOf("_")+1) + userId;//WEB_1 APP_1
		Map<String, LoginUserParam> token_company = curCompanyMap.get(key);
		if (token_company != null)
		{
			param = token_company.get(token);
		}
		return param;
	}

	
}
*/